Debian Bug report logs - #629748
r-cran-pscl: FTBFS: multiple build-deps not listed

version graph

Package: src:r-cran-pscl; Maintainer for src:r-cran-pscl is Chris Lawrence <lawrencc@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 8 Jun 2011 15:40:38 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version r-cran-pscl/1.03.10-1

Fixed in version r-cran-pscl/1.03.10-1.1

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#629748; Package src:r-cran-pscl. (Wed, 08 Jun 2011 15:40:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Chris Lawrence <lawrencc@debian.org>. (Wed, 08 Jun 2011 15:40:41 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: r-cran-pscl: FTBFS: build-dependency not installable: r-cran-gam
Date: Wed, 8 Jun 2011 17:21:40 +0200
Source: r-cran-pscl
Version: 1.03.10-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110607 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install r-cran-pscl build dependencies (apt-based resolver)                  │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> 
> The following packages have unmet dependencies:
>  sbuild-build-depends-r-cran-pscl-dummy : Depends: r-cran-gam but it is not installable
> E: Broken packages

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/06/07/r-cran-pscl_1.03.10-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added blocking bug(s) of 629748: 610159 Request was from Chris Lawrence <lawrencc@debian.org> to control@bugs.debian.org. (Thu, 29 Mar 2012 18:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#629748; Package src:r-cran-pscl. (Sun, 13 May 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. (Sun, 13 May 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #12 received at 629748@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Chris Lawrence <lawrencc@debian.org>
Cc: 629748@bugs.debian.org
Subject: Re: block 629748 with 610159
Date: Sun, 13 May 2012 18:44:16 +0100
retitle 629748 r-cran-pscl: FTBFS: multiple build-deps not listed
thanks

Looks like r-cran-gram is now installable, but I also had to install
r-cran-vcd and then r-cran-colorspace to get r-cran-pscl building
here...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"The problem with defending the purity of the English language is that
 English is about as pure as a cribhouse whore. We don't just borrow words; on
 occasion, English has pursued other languages down alleyways to beat them
 unconscious and rifle their pockets for new vocabulary."  -- James D. Nicoll





Changed Bug title to 'r-cran-pscl: FTBFS: multiple build-deps not listed' from 'r-cran-pscl: FTBFS: build-dependency not installable: r-cran-gam' Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Sun, 13 May 2012 17:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#629748; Package src:r-cran-pscl. (Fri, 03 Aug 2012 23:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. (Fri, 03 Aug 2012 23:57:09 GMT) Full text and rfc822 format available.

Message #19 received at 629748@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 629748@bugs.debian.org
Subject: r-cran-pscl: diff for NMU version 1.03.10-1.1
Date: Sat, 4 Aug 2012 01:55:36 +0200
[Message part 1 (text/plain, inline)]
tags 629748 + patch pending
thanks

Dear maintainer,

I've prepared an NMU for r-cran-pscl (versioned as 1.03.10-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
[r-cran-pscl-1.03.10-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending and patch. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Fri, 03 Aug 2012 23:57:15 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Mon, 06 Aug 2012 00:21:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 06 Aug 2012 00:21:03 GMT) Full text and rfc822 format available.

Message #26 received at 629748-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 629748-close@bugs.debian.org
Subject: Bug#629748: fixed in r-cran-pscl 1.03.10-1.1
Date: Mon, 06 Aug 2012 00:17:13 +0000
Source: r-cran-pscl
Source-Version: 1.03.10-1.1

We believe that the bug you reported is fixed in the latest version of
r-cran-pscl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629748@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@debian.org> (supplier of updated r-cran-pscl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 04 Aug 2012 01:45:43 +0200
Source: r-cran-pscl
Binary: r-cran-pscl
Architecture: source amd64
Version: 1.03.10-1.1
Distribution: unstable
Urgency: low
Maintainer: Chris Lawrence <lawrencc@debian.org>
Changed-By: Luca Falavigna <dktrkranz@debian.org>
Description: 
 r-cran-pscl - GNU R package for discrete data models
Closes: 629748
Changes: 
 r-cran-pscl (1.03.10-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/control:
     - Build-depend on r-cran-vcd and r-cran-colorspace to fix FTBFS
       on all architectures (Closes: #629748).
Checksums-Sha1: 
 f10c380b8c8ca054f012e3616f4a9e50a8a5ac3c 1891 r-cran-pscl_1.03.10-1.1.dsc
 1b5d7001176770ef7b10f1afdf5ae7882ed6785e 2873 r-cran-pscl_1.03.10-1.1.debian.tar.gz
 030c9ffca54a1e86708e72c119b29874e29ea8e6 1105324 r-cran-pscl_1.03.10-1.1_amd64.deb
Checksums-Sha256: 
 0c598d9ba30acd215b152633386458fd4009ea5b7c8272ac40a1c35200bc4328 1891 r-cran-pscl_1.03.10-1.1.dsc
 61b8e4c1f8e0213c70026376958255e7e0d42e69634616701c90f2bb0eeda99f 2873 r-cran-pscl_1.03.10-1.1.debian.tar.gz
 cf9c3fcc2b681c1f8460c72dcf2f29c42e68a9c761e58bfc7fa9c7f0d4e04b42 1105324 r-cran-pscl_1.03.10-1.1_amd64.deb
Files: 
 9559955f7e1edb99e522011abf35c529 1891 gnu-r optional r-cran-pscl_1.03.10-1.1.dsc
 c75448d791271c54653ea490706d9022 2873 gnu-r optional r-cran-pscl_1.03.10-1.1.debian.tar.gz
 6fa248e47b6c5e390d622760ad64907a 1105324 gnu-r optional r-cran-pscl_1.03.10-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQHGTrAAoJEEkIatPr4vMf2k4P/23xFjccYxjs7XPoYJfFo+g5
+a2kjbTZQ9SiiOpPhKpJCUFtmmVJIbpq72VTf1C6YHOSidJkLdWT8bBBNFmzGSWb
2r0OdL0lbOCwz7+FaieNa0mSiyhTR8Rp8eFjeUFOI3LJPvebQCrImAnuwc/XzIo6
jdvOHwfbDoGpweZ3evuIzdTd0HhU2bUON5VIXJ8hi+e1NoSWWJn0266Q7hg0hAzR
znlYfW40vJ6byBJB3JYLcih8s05BsJ6HWApZz5bfgQNo5iJx4uVnWb0X4/w/gjAg
r69u1bfFkD7Ch+QLv6pNmX+PqTHS2OWGkesdAJKUz+aJ6CyEIMJfFci9ZI9Mbw9x
f462sYc0mEYu32ZJwEPcb5Ylay4MWztPnqFs7Tf+p3auqgHMBn5D2rRc9wFGrZca
Nk/UxYIcKSRCgFzkgiqa9uQpKBUV5dt3ryyyS+wbmRV223w6WD2oJY8F6BmjxM2v
SVGvJD3zITboKM+pmGJxLtonUE329APBZWCj3PjsPxiiAC0/Dych7r6qORHJgL2s
yGCwTYwPLP4q2Qi/5D7mI0Uzrn60PWaGctCUZ10KdKx/VpLE9MUP2pPmrdgGKR1K
KWpTKKBsWA8UMKocfzkVqZSuVXGvMD95nC38HqxRTPjt/vJYpwcjGhMUah0L7I1C
Il01r3g+j+83ltmMkYJs
=Cb25
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Sep 2012 07:26:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:06:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.